package cn.yw.softwaremanage.bean;

import cn.base.bean.BaseBean;
//[运维应用系统信息表]

public class YwsoftwareinfoBean extends BaseBean implements java.io.Serializable {
	private String softwareid;//[应用id]
	private String listid;//[]
	private String machineid;//[机器id]
	private String softwarenum;//[应用编号]
	private String softwaretype;//[应用类型]
	private String softwarename;//[应用名称]
	private String softwareip;//[服务ip]
	private String softwareport;//[网管端口]
	private int softwareruninterval;//[应用状态上报间隔时间]
	private int softwarestatus;//[应用状态]
	private String softwarestatusuptime;//[状态上报时间]
	private int softwarerestartstatus;//[应用重启状态]
	private String softwarerestarttime;//[应用重启时间]
	private String softwarerestartaccount;//[应用重启人员]
	private String softwaredescribe;//[应用描述]
	private String softwareposition;//[位置描述]
	private String softwareareanum;//[区域编号]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setSoftwareid(String softwareid){
		this.softwareid = softwareid;
	}
	public String getSoftwareid(){
		return softwareid;
	}
	public void setListid(String listid){
		this.listid = listid;
	}
	public String getListid(){
		return listid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setSoftwarenum(String softwarenum){
		this.softwarenum = softwarenum;
	}
	public String getSoftwarenum(){
		return softwarenum;
	}
	public void setSoftwaretype(String softwaretype){
		this.softwaretype = softwaretype;
	}
	public String getSoftwaretype(){
		return softwaretype;
	}
	public void setSoftwarename(String softwarename){
		this.softwarename = softwarename;
	}
	public String getSoftwarename(){
		return softwarename;
	}
	public void setSoftwareip(String softwareip){
		this.softwareip = softwareip;
	}
	public String getSoftwareip(){
		return softwareip;
	}
	public void setSoftwareport(String softwareport){
		this.softwareport = softwareport;
	}
	public String getSoftwareport(){
		return softwareport;
	}
	public void setSoftwareruninterval(int softwareruninterval){
		this.softwareruninterval = softwareruninterval;
	}
	public int getSoftwareruninterval(){
		return softwareruninterval;
	}
	public void setSoftwarestatus(int softwarestatus){
		this.softwarestatus = softwarestatus;
	}
	public int getSoftwarestatus(){
		return softwarestatus;
	}
	public void setSoftwarestatusuptime(String softwarestatusuptime){
		this.softwarestatusuptime = softwarestatusuptime;
	}
	public String getSoftwarestatusuptime(){
		return softwarestatusuptime;
	}
	public void setSoftwarerestartstatus(int softwarerestartstatus){
		this.softwarerestartstatus = softwarerestartstatus;
	}
	public int getSoftwarerestartstatus(){
		return softwarerestartstatus;
	}
	public void setSoftwarerestarttime(String softwarerestarttime){
		this.softwarerestarttime = softwarerestarttime;
	}
	public String getSoftwarerestarttime(){
		return softwarerestarttime;
	}
	public void setSoftwarerestartaccount(String softwarerestartaccount){
		this.softwarerestartaccount = softwarerestartaccount;
	}
	public String getSoftwarerestartaccount(){
		return softwarerestartaccount;
	}
	public void setSoftwaredescribe(String softwaredescribe){
		this.softwaredescribe = softwaredescribe;
	}
	public String getSoftwaredescribe(){
		return softwaredescribe;
	}
	public void setSoftwareposition(String softwareposition){
		this.softwareposition = softwareposition;
	}
	public String getSoftwareposition(){
		return softwareposition;
	}
	public void setSoftwareareanum(String softwareareanum){
		this.softwareareanum = softwareareanum;
	}
	public String getSoftwareareanum(){
		return softwareareanum;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}